# frozen_string_literal: true

require 'active_support/core_ext/array'
require 'active_support/core_ext/hash'
require 'active_support/core_ext/module/delegation'
require 'active_support/core_ext/string'
require 'faraday'

require 'best_buy/exceptions/api_key_not_found'

require 'best_buy/helpers/api_helper'
require 'best_buy/helpers/conditions/category_condition'
require 'best_buy/helpers/conditions/max_price_condition'
require 'best_buy/helpers/conditions/min_price_condition'
require 'best_buy/helpers/conditions/new_condition'
require 'best_buy/helpers/conditions/pre_owned_condition'
require 'best_buy/helpers/conditions/refurbished_condition'

require 'best_buy/config'
require 'best_buy/base_api'
require 'best_buy/categories'
require 'best_buy/products'
require 'best_buy/search_query_builder'
require 'best_buy/stores'

require 'best_buy/models/address'
require 'best_buy/models/base_category'
require 'best_buy/models/category'
require 'best_buy/models/collection_header'
require 'best_buy/models/collections_response'
require 'best_buy/models/image'
require 'best_buy/models/offer'
require 'best_buy/models/product'
require 'best_buy/models/shipping_level_of_service'
require 'best_buy/models/store'

require 'generators/best_buy/config/config_generator' if defined? Rails::Generators
